%define major 5
%define libname %mklibname netcdff %{major}
%define develname %mklibname -d netcdff

Summary:	Libraries to use the Unidata network Common Data Form (netCDF)
Name:		netcdf-fortran
Version:	4.2
Release:	%mkrel 4
Group:		Development/Other
License:	NetCDF
URL:		http://www.unidata.ucar.edu/packages/netcdf/index.html
Source0:	http://www.unidata.ucar.edu/downloads/netcdf/ftp/%{name}-%{version}.tar.gz
BuildRequires:	gcc-gfortran
BuildRequires:  netcdf-devel
BuildRequires:  valgrind
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	groff

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 


%package -n	%{libname}
Summary:	Fortran libraries for netcdf-4
Group:		System/Libraries
Obsoletes:	%{_lib}netcdf_fortran5 < %{version}

%description -n	%{libname}
This package contains the netCDF-4 fortran libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}netcdf-devel < 4.2.1.1
Conflicts:	netcdf < 4.2.1.1
Requires(post): info-install
Requires(preun): info-install

%description -n %{develname}
This package contains the netCDF-4 header files, shared devel libs, and 
man pages.

%post -n %{develname}
%_install_info netcdf-f77.info
%_install_info netcdf-f90.info

%preun -n %{develname}
%_remove_install_info netcdf-f77.info
%_remove_install_info netcdf-f90.info

%prep
%setup -q

%build
%configure2_5x --enable-shared --disable-static
%make

%check
make check

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libnetcdff.so.%{major}*

%files -n %{develname}
%{_bindir}/nf-config
%{_includedir}/netcdf.inc
%{_includedir}/netcdf.mod
%{_includedir}/typesizes.mod
%{_libdir}/libnetcdff.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/netcdf-f77.info-1.*
%{_infodir}/netcdf-f77.info-2.*
%{_infodir}/netcdf-f77.info.*
%{_infodir}/netcdf-f90.info.*
%{_mandir}/man3/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2-4.mga3
+ Revision: 360988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 fwang <fwang> 4.2-3.mga3
+ Revision: 296188
- obsolete files

* Wed Sep 19 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 296159
- bump rel

* Wed Sep 19 2012 fwang <fwang> 4.2-1.mga3
+ Revision: 296148
- update file list
- imported package netcdf-fortran

